%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary: An interface to Twitter API functions for Python
Name: python-twyt
Version: 0.9.2
Release: 3%{?dist}

Group: System Environment/Libraries
License: BSD
URL: http://andrewprice.me.uk/projects/twyt/
Source: http://andrewprice.me.uk/projects/twyt/download/twyt-%version.tar.gz
Patch0: python-twyt-0.9.2-setdefault.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: python
BuildRequires: python-devel
Requires: python-simplejson
BuildArch: noarch

%description
The twyt python module provides an interface to the remote Twitter API
functions and classes to allow easy manipulation of the returned sets of data,
such as status messages and user information.

This package also provides an example command line Twitter client called twyt
which utilises the provided modules.

%prep
%setup -q -n twyt-%{version}
%patch0 -p0 -b .setdefault

%build
python setup.py build
%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README APITODO HOWTO LICENSE
%dir %{python_sitelib}/twyt
%attr(755,root,root) %{_bindir}/twyt
%{python_sitelib}/twyt/*
%{_datadir}/man/man1/twyt.1.gz
%if 0%{?fedora} >= 9
%{python_sitelib}/*.egg-info
%endif

%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr 16 2009 Adam Miller <maxamillion [AT] gmail.com> - 0.9.2-2
- Upstream released a patch to fix set default account bug

* Mon Apr 13 2009 Adam Miller <maxamillion [AT] gmail.com> - 0.9.2-1
- New upstream release

* Fri Feb 27 2009 Adam Miller <maxamillion [AT] gmail.com> - 0.9.1-1
- New upstream release

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 11 2009 Andy Price <andy@andrewprice.me.uk> - 0.9.0-1
- Updated to 0.9.0
- Install HOWTO doc file instead of GUIHOWTO
* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.8.5-2
- Rebuild for Python 2.6

* Sun May 18 2008 Andy Price <andy@andrewprice.me.uk> - 0.8.5-1
- Updated to 0.8.5
* Mon Jan 28 2008 Andy Price <andy@andrewprice.me.uk> - 0.8-1
- Updated to 0.8
* Thu Jan 03 2008 Andy Price <andy@andrewprice.me.uk> - 0.7-1
- Initial RPM packaging
